Subject: Re: [bug#51509] [PATCH] doc: Mention Hg support for 'guix import cran' and some caveats.

From: Xinglu Chen <[email-masked]>
Date: Sun, 19 Dec 2021 10:04:42 +0100

Hi,

On Sat, Nov 27 2021, Ricardo Wurmus wrote:

> Hi,
>
>> * guix.texi (Invoking guix import): Mention support for 
>> Mercurial repositories
>>   for the CRAN importer, and some caveats with the Git and 
>>   Mercurial backends.
>> ---
>> Prompted by Ricardo’s comments on the “Accuracy of importers” 
>> thread:
>>
>> <https://yhetil.org/guix-devel/[email-masked]/T/#mabff98d436895c18f177c4016792ec215f645bbf>
>
> I’d prefer not to mention the limitation (as it’s an 
> rstudio-specific modification to DESCRIPTION files) and instead 
> work on supporting this extension to the DESCRIPTION file.  I 
> already have some WIP to address this.

Just to clarify, you are referring to the fact that the ‘--recursive’
option won’t work, not the fact that the ‘hg’ binary needs to be in
$PATH, right?  In that case I will send a new reroll removing the
following sentence:

--8<---------------cut here---------------start------------->8---
+One limitation of this is that dependencies that are also hosted on Git
+or Mercurial repositories cannot be imported.
--8<---------------cut here---------------end--------------->8---